Bug 257098 - net/gmid: Update to 1.7.1 (bugfix release)
Summary: net/gmid: Update to 1.7.1 (bugfix release)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/omar-polo/gmid/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-10 14:27 UTC by Omar Polo
Modified: 2021-07-12 07:31 UTC (History)
1 user (show)

See Also:
eduardo: merge-quarterly+


Attachments
diff for the update (2.94 KB, patch)
2021-07-10 14:27 UTC, Omar Polo
no flags Details | Diff
diff for the update (2.67 KB, patch)
2021-07-11 08:39 UTC, Omar Polo
no flags Details | Diff
update to 1.7.1 ldflags fixed (2.58 KB, patch)
2021-07-11 09:40 UTC, Nuno Teixeira
no flags Details | Diff
diff for the update (2.66 KB, patch)
2021-07-11 09:55 UTC, Omar Polo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Omar Polo 2021-07-10 14:27:35 UTC
Created attachment 226351 [details]
diff for the update

Hello,

Please find attached the patch to update net/gmid to 1.7.  The changelog is available here[0].

Port-wise I dropped the libressl dependency in favour of libretls and openssl from base.  Did I make any mistake?

While here, I also tweaked the sample config file a bit and updated the WWW in pkg-descr.

Thanks,


[0]: https://github.com/omar-polo/gmid/releases/tag/1.7
Comment 1 Nuno Teixeira freebsd_committer 2021-07-11 00:25:59 UTC
(In reply to Omar Polo from comment #0)
Hello

Why did you dropped libressl in favor of libretls?
I found that libretls dependency doesn't build on 11.4-RELEASE amd64|i386 so we will loose this package on 11.4 release.

It is really necessary change dependency to libretls?

In case of doubt I could open a review in phabricator and ask help for more experienced committers.
Comment 2 Nuno Teixeira freebsd_committer 2021-07-11 00:30:31 UTC
Related to pkgconfig support have you tried create a pkgconfig file yourself so pkgconf can read it?
Could you take a look at "graphics/freeimage: Add pkgconf support" review:

https://reviews.freebsd.org/D29311
Comment 3 Omar Polo 2021-07-11 08:39:18 UTC
The port itself is fine either with libressl and libretls.  I changed to libretls because from a quick look at freshports.org it seems that there are more ports that depends on libretls (irc/catgirl, net/openntpd etc), but really, it's fine either the way.

Regarding pkgconfig, the comment was probably not clear enough.  If/when using openssl from base, `pkg-config --libs openssl` warns that openssl in not available and the configure script fails.

Anyway, here's a new patch: it updates the ports to 1.7.1 (there was an error in the man page) and restore the dependency on libressl.
Comment 4 Omar Polo 2021-07-11 08:39:54 UTC
Created attachment 226364 [details]
diff for the update
Comment 5 Nuno Teixeira freebsd_committer 2021-07-11 09:40:36 UTC
Created attachment 226365 [details]
update to 1.7.1 ldflags fixed

---
FATAL: Makefile: LDFLAGS is already passed in CONFIGURE_ENV via bsd.port.mk.  If you need to override the default value, alter LDFLAGS in the Makefile instead with LDFLAGS+=...
1 fatal error and 0 warnings found.
---
I fixed with LDFLAGS+= so we don't overrride it.

Could you please test this diff and tell me if program works ok?
Comment 6 Omar Polo 2021-07-11 09:55:21 UTC
Created attachment 226366 [details]
diff for the update

with `CONFIGURE_ENV+=LDFLAGS+="-lcrypto -lssl"` it doesn't build, because `-lcrypto and -lssl` don't end up in the LDFLAGS env variable.  I fixed with a simpler

	LDFLAGS+=	-lcrypto -lssl

with this, it builds fine.

Thanks,
Comment 7 Nuno Teixeira freebsd_committer 2021-07-11 11:05:04 UTC
(In reply to Omar Polo from comment #6)
Please upload diff so I can do poudriere testport tests
Comment 8 Omar Polo 2021-07-11 11:57:31 UTC
I've already re-uploaded the diff along with the last comment: https://bz-attachments.freebsd.org/attachment.cgi?id=226366

Did I do something wrong?

I couldn't find a way to mark your as "obsolete" like I did with the previous version though, sorry.
Comment 9 commit-hook freebsd_committer 2021-07-11 12:17:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3ebebb3ca8f29a03c58be0d9df45060977183e48

commit 3ebebb3ca8f29a03c58be0d9df45060977183e48
Author:     Omar Polo <freebsd@omarpolo.com>
AuthorDate: 2021-07-11 12:13:16 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-11 12:16:31 +0000

    net/gmid: Update to 1.7.1 (bugfix release)

    ChangeLog: https://github.com/omar-polo/gmid/releases/tag/1.7.1

    PR:             257098

 net/gmid/Makefile               |  8 ++++----
 net/gmid/distinfo               |  6 +++---
 net/gmid/files/gmid.conf.sample | 25 +++++++++++++++++--------
 net/gmid/pkg-descr              |  2 +-
 4 files changed, 25 insertions(+), 16 deletions(-)
Comment 10 Nuno Teixeira freebsd_committer 2021-07-11 12:30:29 UTC
(In reply to Omar Polo from comment #8)
you did an awesome job on this port, expecially using a fixed tarball in MASTER_SITES instead of dynamic auto generated USE_GITHUB :)

Related to dropping libressl in favor of libretls, continue analysing the benefits of that change, 11.4-RELEASE will be EOLed in less that 2 months (where libretls still fails to build)

Cheers!
Comment 11 Nuno Teixeira freebsd_committer 2021-07-11 12:35:52 UTC
Committed thanks!
Comment 12 Omar Polo 2021-07-11 13:09:10 UTC
As said previously, it's fine for me with either libressl and libretls.  I'm testing gmid in a jail with libressl, but on some other platforms (i.e. alpine) libretls is used.  It could also be an option when building the port to use libretls or libressl, if you think it would make sense.

I don't really have a clear picture on the libretls/libressl situation in freebsd unfortunately, I don't know which of the two is preferred/less troublesome.

Thanks!
Comment 13 commit-hook freebsd_committer 2021-07-12 07:31:55 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=25860d46f6e013292c9ab400772bcff601a04b59

commit 25860d46f6e013292c9ab400772bcff601a04b59
Author:     Omar Polo <freebsd@omarpolo.com>
AuthorDate: 2021-07-11 12:13:16 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-07-12 07:31:41 +0000

    net/gmid: Update to 1.7.1 (bugfix release)

    ChangeLog: https://github.com/omar-polo/gmid/releases/tag/1.7.1

    PR:             257098
    (cherry picked from commit 3ebebb3ca8f29a03c58be0d9df45060977183e48)

 net/gmid/Makefile               |  8 ++++----
 net/gmid/distinfo               |  6 +++---
 net/gmid/files/gmid.conf.sample | 25 +++++++++++++++++--------
 net/gmid/pkg-descr              |  2 +-
 4 files changed, 25 insertions(+), 16 deletions(-)